summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_world_install.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2010-05-03 15:11:15 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2010-05-03 15:11:15 +0200
commitd31eb95acb8e9fb014d7e02547dd0387b80a9d66 (patch)
treeba934e04fb37aba93d683c5e5f6d7320378cdcc0 /scripts/lib/ptxd_make_world_install.sh
parent2ef6217b9f92e227cc21f9a231ec7c26f2c6cc7a (diff)
downloadptxdist-d31eb95acb8e9fb014d7e02547dd0387b80a9d66.tar.gz
ptxdist-d31eb95acb8e9fb014d7e02547dd0387b80a9d66.tar.xz
[install] move rpath fixup to install.unpack
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_world_install.sh')
-rw-r--r--scripts/lib/ptxd_make_world_install.sh19
1 files changed, 10 insertions, 9 deletions
diff --git a/scripts/lib/ptxd_make_world_install.sh b/scripts/lib/ptxd_make_world_install.sh
index 1d3d9119a..7599ecd24 100644
--- a/scripts/lib/ptxd_make_world_install.sh
+++ b/scripts/lib/ptxd_make_world_install.sh
@@ -77,7 +77,16 @@ ptxd_make_world_install_unpack() {
fi &&
rm -rf -- "${pkg_pkg_dir}" &&
mkdir -p -- "${ptx_pkg_dir}" &&
- tar -x -C "${ptx_pkg_dir}" -z -f "${ptx_pkg_dev_dir}/${pkg_pkg_dev}"
+ tar -x -C "${ptx_pkg_dir}" -z -f "${ptx_pkg_dev_dir}/${pkg_pkg_dev}" &&
+
+ # fix rpaths in host/cross tools
+ if [ "${pkg_type}" != "target" ]; then
+ find "${pkg_pkg_dir}" ! -type d -executable -print | while read file; do
+ if chrpath "${file}" > /dev/null 2>&1; then
+ chrpath --replace "${PTXDIST_SYSROOT_HOST}/lib" "${file}" || return
+ fi
+ done
+ fi
}
export -f ptxd_make_world_install_unpack
@@ -139,14 +148,6 @@ ptxd_make_world_install_post() {
if [ \! -d "${pkg_pkg_dir}" ]; then
return
fi &&
- # fix rpaths in host/cross tools
- if [ "${pkg_type}" != "target" ]; then
- find "${pkg_pkg_dir}" ! -type d -executable -print | while read file; do
- if chrpath "${file}" > /dev/null 2>&1; then
- chrpath --replace "${PTXDIST_SYSROOT_HOST}/lib" "${file}" || return
- fi
- done
- fi &&
# prefix paths in la files with sysroot
find "${pkg_pkg_dir}" \( -name "*.la" -o -name "*.prl" \) -print0 | xargs -r -0 -- \
sed -i -e "s:@SYSROOT@:${pkg_sysroot_dir}:g" &&